package com.laseroptek.raman.const

//
// Hz Table1 (HANDPIENCE-5x5)
// - Map<Pair<Float, Float>, Int>
// - Map<Pair<KEY1, KEY2>, VALUE>
// - Map<Pair<PulseWidth(ms), Fluence(J/cm²)>, HzType(int)>
//

val HzTable_5_5 = mapOf(
    // Pulse Width = 0.5f
    Pair(0.5f,2.0f) to KEY_GREEN,
    Pair(0.5f,2.1f) to KEY_BLUE,
    Pair(0.5f,2.2f) to KEY_BLUE,
    Pair(0.5f,2.3f) to KEY_BLUE,
    Pair(0.5f,2.4f) to KEY_BLUE,
    Pair(0.5f,2.5f) to KEY_BLUE,
    Pair(0.5f,2.6f) to KEY_BLUE,
    Pair(0.5f,2.7f) to KEY_BLUE,
    Pair(0.5f,2.8f) to KEY_BLUE,
    Pair(0.5f,2.9f) to KEY_BLUE,
    Pair(0.5f,3.0f) to KEY_BLUE,
    Pair(0.5f,3.2f) to KEY_BLUE,
    Pair(0.5f,3.4f) to KEY_BLUE,
    Pair(0.5f,3.6f) to KEY_BLUE,
    Pair(0.5f,3.8f) to KEY_BLUE,
    Pair(0.5f,4.0f) to KEY_YELLOW,
    Pair(0.5f,4.2f) to KEY_YELLOW,
    Pair(0.5f,4.4f) to KEY_YELLOW,
    Pair(0.5f,4.6f) to KEY_YELLOW,
    Pair(0.5f,4.8f) to KEY_YELLOW,
    Pair(0.5f,5.0f) to KEY_YELLOW,
    Pair(0.5f,5.5f) to KEY_YELLOW,
    Pair(0.5f,6.0f) to KEY_YELLOW,
    Pair(0.5f,6.5f) to KEY_YELLOW,
    Pair(0.5f,7.0f) to KEY_YELLOW,
    Pair(0.5f,7.5f) to KEY_YELLOW,
    Pair(0.5f,8.0f) to KEY_YELLOW,

    // Pulse Width = 1f
    Pair(1f, 2.0f) to KEY_BLUE,
    Pair(1f, 2.1f) to KEY_YELLOW,
    Pair(1f, 2.2f) to KEY_YELLOW,
    Pair(1f, 2.3f) to KEY_YELLOW,
    Pair(1f, 2.4f) to KEY_YELLOW,
    Pair(1f, 2.5f) to KEY_YELLOW,
    Pair(1f, 2.6f) to KEY_YELLOW,
    Pair(1f, 2.7f) to KEY_YELLOW,
    Pair(1f, 2.8f) to KEY_YELLOW,
    Pair(1f, 2.9f) to KEY_YELLOW,
    Pair(1f, 3.0f) to KEY_YELLOW,
    Pair(1f, 3.2f) to KEY_YELLOW,
    Pair(1f, 3.4f) to KEY_YELLOW,
    Pair(1f, 3.6f) to KEY_YELLOW,
    Pair(1f, 3.8f) to KEY_YELLOW,
    Pair(1f, 4.0f) to KEY_YELLOW,
    Pair(1f, 4.2f) to KEY_RED,
    Pair(1f, 4.4f) to KEY_RED,
    Pair(1f, 4.6f) to KEY_RED,
    Pair(1f, 4.8f) to KEY_RED,
    Pair(1f, 5.0f) to KEY_RED,
    Pair(1f, 5.5f) to KEY_RED,
    Pair(1f, 6.0f) to KEY_RED,
    Pair(1f, 6.5f) to KEY_RED,
    Pair(1f, 7.0f) to KEY_RED,
    Pair(1f, 7.5f) to KEY_RED,
    Pair(1f, 8.0f) to KEY_RED,
    Pair(1f, 8.5f) to KEY_GRAY,
    Pair(1f, 9.0f) to KEY_GRAY,
    Pair(1f, 9.5f) to KEY_GRAY,
    Pair(1f, 10.0f) to KEY_GRAY,
    Pair(1f, 11.0f) to KEY_GRAY,
    Pair(1f, 12.0f) to KEY_GRAY,

    // Pulse Width = 1.5f
    Pair(1.5f, 2.0f) to KEY_YELLOW,
    Pair(1.5f, 2.1f) to KEY_RED,
    Pair(1.5f, 2.2f) to KEY_RED,
    Pair(1.5f, 2.3f) to KEY_RED,
    Pair(1.5f, 2.4f) to KEY_RED,
    Pair(1.5f, 2.5f) to KEY_RED,
    Pair(1.5f, 2.6f) to KEY_RED,
    Pair(1.5f, 2.7f) to KEY_RED,
    Pair(1.5f, 2.8f) to KEY_RED,
    Pair(1.5f, 2.9f) to KEY_RED,
    Pair(1.5f, 3.0f) to KEY_RED,
    Pair(1.5f, 3.2f) to KEY_RED,
    Pair(1.5f, 3.4f) to KEY_RED,
    Pair(1.5f, 3.6f) to KEY_RED,
    Pair(1.5f, 3.8f) to KEY_RED,
    Pair(1.5f, 4.0f) to KEY_RED,
    Pair(1.5f, 4.2f) to KEY_GRAY,
    Pair(1.5f, 4.4f) to KEY_GRAY,
    Pair(1.5f, 4.6f) to KEY_GRAY,
    Pair(1.5f, 4.8f) to KEY_GRAY,
    Pair(1.5f, 5.0f) to KEY_GRAY,
    Pair(1.5f, 5.5f) to KEY_GRAY,
    Pair(1.5f, 6.0f) to KEY_GRAY,
    Pair(1.5f, 6.5f) to KEY_GRAY,
    Pair(1.5f, 7.0f) to KEY_GRAY,
    Pair(1.5f, 7.5f) to KEY_GRAY,
    Pair(1.5f, 8.0f) to KEY_GRAY,
    Pair(1.5f, 8.5f) to KEY_GRAY,
    Pair(1.5f, 9.0f) to KEY_GRAY,
    Pair(1.5f, 9.5f) to KEY_GRAY,
    Pair(1.5f, 10.0f) to KEY_GRAY,
    Pair(1.5f, 11.0f) to KEY_GRAY,
    Pair(1.5f, 12.0f) to KEY_GRAY,
    Pair(1.5f, 13.0f) to KEY_GRAY,
    Pair(1.5f, 14.0f) to KEY_GRAY,
    Pair(1.5f, 15.0f) to KEY_GRAY,
    Pair(1.5f, 16.0f) to KEY_GRAY,

    // Pulse Width = 3f
    Pair(3f, 2.0f ) to KEY_RED,
    Pair(3f, 2.1f ) to KEY_GRAY,
    Pair(3f, 2.2f ) to KEY_GRAY,
    Pair(3f, 2.3f ) to KEY_GRAY,
    Pair(3f, 2.4f ) to KEY_GRAY,
    Pair(3f, 2.5f ) to KEY_GRAY,
    Pair(3f, 2.6f ) to KEY_GRAY,
    Pair(3f, 2.7f ) to KEY_GRAY,
    Pair(3f, 2.8f ) to KEY_GRAY,
    Pair(3f, 2.9f ) to KEY_GRAY,
    Pair(3f, 3.0f ) to KEY_GRAY,
    Pair(3f, 3.2f ) to KEY_GRAY,
    Pair(3f, 3.4f ) to KEY_GRAY,
    Pair(3f, 3.6f ) to KEY_GRAY,
    Pair(3f, 3.8f ) to KEY_GRAY,
    Pair(3f, 4.0f ) to KEY_GRAY,
    Pair(3f, 4.2f ) to KEY_GRAY,
    Pair(3f, 4.4f ) to KEY_GRAY,
    Pair(3f, 4.6f ) to KEY_GRAY,
    Pair(3f, 4.8f ) to KEY_GRAY,
    Pair(3f, 5.0f ) to KEY_GRAY,
    Pair(3f, 5.5f ) to KEY_GRAY,
    Pair(3f, 6.0f ) to KEY_GRAY,
    Pair(3f, 6.5f ) to KEY_GRAY,
    Pair(3f, 7.0f ) to KEY_GRAY,
    Pair(3f, 7.5f ) to KEY_GRAY,
    Pair(3f, 8.0f ) to KEY_GRAY,
    Pair(3f, 8.5f ) to KEY_GRAY,
    Pair(3f, 9.0f ) to KEY_GRAY,
    Pair(3f, 9.5f ) to KEY_GRAY,
    Pair(3f, 10.0f) to KEY_GRAY,
    Pair(3f, 11.0f) to KEY_GRAY,
    Pair(3f, 12.0f) to KEY_GRAY,
    Pair(3f, 13.0f) to KEY_GRAY,
    Pair(3f, 14.0f) to KEY_GRAY,
    Pair(3f, 15.0f) to KEY_GRAY,
    Pair(3f, 16.0f) to KEY_GRAY,
    Pair(3f, 17.0f) to KEY_GRAY,
    Pair(3f, 18.0f) to KEY_GRAY,
    Pair(3f, 19.0f) to KEY_GRAY,
    Pair(3f, 20.0f) to KEY_GRAY,
    Pair(3f, 21.0f) to KEY_GRAY,
    Pair(3f, 22.0f) to KEY_GRAY,
    Pair(3f, 23.0f) to KEY_GRAY,
    Pair(3f, 24.0f) to KEY_GRAY,

    // Pulse Width = 5f
    Pair(5f, 2.0f) to KEY_RED,
    Pair(5f, 2.1f) to KEY_GRAY,
    Pair(5f, 2.2f) to KEY_GRAY,
    Pair(5f, 2.3f) to KEY_GRAY,
    Pair(5f, 2.4f) to KEY_GRAY,
    Pair(5f, 2.5f) to KEY_GRAY,
    Pair(5f, 2.6f) to KEY_GRAY,
    Pair(5f, 2.7f) to KEY_GRAY,
    Pair(5f, 2.8f) to KEY_GRAY,
    Pair(5f, 2.9f) to KEY_GRAY,
    Pair(5f, 3.0f) to KEY_GRAY,
    Pair(5f, 3.2f) to KEY_GRAY,
    Pair(5f, 3.4f) to KEY_GRAY,
    Pair(5f, 3.6f) to KEY_GRAY,
    Pair(5f, 3.8f) to KEY_GRAY,
    Pair(5f, 4.0f) to KEY_GRAY,
    Pair(5f, 4.2f) to KEY_GRAY,
    Pair(5f, 4.4f) to KEY_GRAY,
    Pair(5f, 4.6f) to KEY_GRAY,
    Pair(5f, 4.8f) to KEY_GRAY,
    Pair(5f, 5.0f) to KEY_GRAY,
    Pair(5f, 5.5f) to KEY_GRAY,
    Pair(5f, 6.0f) to KEY_GRAY,
    Pair(5f, 6.5f) to KEY_GRAY,
    Pair(5f, 7.0f) to KEY_GRAY,
    Pair(5f, 7.5f) to KEY_GRAY,
    Pair(5f, 8.0f) to KEY_GRAY,
    Pair(5f, 8.5f) to KEY_GRAY,
    Pair(5f, 9.0f) to KEY_GRAY,
    Pair(5f, 9.5f) to KEY_GRAY,
    Pair(5f, 10.0f) to KEY_GRAY,
    Pair(5f, 11.0f) to KEY_GRAY,
    Pair(5f, 12.0f) to KEY_GRAY,
    Pair(5f, 13.0f) to KEY_GRAY,
    Pair(5f, 14.0f) to KEY_GRAY,
    Pair(5f, 15.0f) to KEY_GRAY,
    Pair(5f, 16.0f) to KEY_GRAY,
    Pair(5f, 17.0f) to KEY_GRAY,
    Pair(5f, 18.0f) to KEY_GRAY,
    Pair(5f, 19.0f) to KEY_GRAY,
    Pair(5f, 20.0f) to KEY_GRAY,
    Pair(5f, 21.0f) to KEY_GRAY,
    Pair(5f, 22.0f) to KEY_GRAY,
    Pair(5f, 23.0f) to KEY_GRAY,
    Pair(5f, 24.0f) to KEY_GRAY,
    Pair(5f, 25.0f) to KEY_GRAY,
    Pair(5f, 26.0f) to KEY_GRAY,
    Pair(5f, 27.0f) to KEY_GRAY,
    Pair(5f, 28.0f) to KEY_GRAY,

    // Pulse Width = 10f
    Pair(10f, 2.0f) to KEY_GRAY,
    Pair(10f, 2.1f) to KEY_GRAY,
    Pair(10f, 2.2f) to KEY_GRAY,
    Pair(10f, 2.3f) to KEY_GRAY,
    Pair(10f, 2.4f) to KEY_GRAY,
    Pair(10f, 2.5f) to KEY_GRAY,
    Pair(10f, 2.6f) to KEY_GRAY,
    Pair(10f, 2.7f) to KEY_GRAY,
    Pair(10f, 2.8f) to KEY_GRAY,
    Pair(10f, 2.9f) to KEY_GRAY,
    Pair(10f, 3.0f) to KEY_GRAY,
    Pair(10f, 3.2f) to KEY_GRAY,
    Pair(10f, 3.4f) to KEY_GRAY,
    Pair(10f, 3.6f) to KEY_GRAY,
    Pair(10f, 3.8f) to KEY_GRAY,
    Pair(10f, 4.0f) to KEY_GRAY,
    Pair(10f, 4.2f) to KEY_GRAY,
    Pair(10f, 4.4f) to KEY_GRAY,
    Pair(10f, 4.6f) to KEY_GRAY,
    Pair(10f, 4.8f) to KEY_GRAY,
    Pair(10f, 5.0f) to KEY_GRAY,
    Pair(10f, 5.5f) to KEY_GRAY,
    Pair(10f, 6.0f) to KEY_GRAY,
    Pair(10f, 6.5f) to KEY_GRAY,
    Pair(10f, 7.0f) to KEY_GRAY,
    Pair(10f, 7.5f) to KEY_GRAY,
    Pair(10f, 8.0f) to KEY_GRAY,
    Pair(10f, 8.5f) to KEY_GRAY,
    Pair(10f, 9.0f) to KEY_GRAY,
    Pair(10f, 9.5f) to KEY_GRAY,
    Pair(10f, 10.0f) to KEY_GRAY,
    Pair(10f, 11.0f) to KEY_GRAY,
    Pair(10f, 12.0f) to KEY_GRAY,
    Pair(10f, 13.0f) to KEY_GRAY,
    Pair(10f, 14.0f) to KEY_GRAY,
    Pair(10f, 15.0f) to KEY_GRAY,
    Pair(10f, 16.0f) to KEY_GRAY,
    Pair(10f, 17.0f) to KEY_GRAY,
    Pair(10f, 18.0f) to KEY_GRAY,
    Pair(10f, 19.0f) to KEY_GRAY,
    Pair(10f, 20.0f) to KEY_GRAY,
    Pair(10f, 21.0f) to KEY_GRAY,
    Pair(10f, 22.0f) to KEY_GRAY,
    Pair(10f, 23.0f) to KEY_GRAY,
    Pair(10f, 24.0f) to KEY_GRAY,
    Pair(10f, 25.0f) to KEY_GRAY,
    Pair(10f, 26.0f) to KEY_GRAY,
    Pair(10f, 27.0f) to KEY_GRAY,
    Pair(10f, 28.0f) to KEY_GRAY,
    Pair(10f, 29.0f) to KEY_GRAY,
    Pair(10f, 30.0f) to KEY_GRAY,
    Pair(10f, 31.0f) to KEY_GRAY,
    Pair(10f, 32.0f) to KEY_GRAY,
    Pair(10f, 33.0f) to KEY_GRAY,
    Pair(10f, 34.0f) to KEY_GRAY,
    Pair(10f, 35.0f) to KEY_GRAY,
    Pair(10f, 36.0f) to KEY_GRAY,
    Pair(10f, 37.0f) to KEY_GRAY,
    Pair(10f, 38.0f) to KEY_GRAY,
    Pair(10f, 39.0f) to KEY_GRAY,
    Pair(10f, 40.0f) to KEY_GRAY,

    // Pulse Width = 15f
    Pair(15f, 2.0f) to KEY_GRAY,
    Pair(15f, 2.1f) to KEY_GRAY,
    Pair(15f, 2.2f) to KEY_GRAY,
    Pair(15f, 2.3f) to KEY_GRAY,
    Pair(15f, 2.4f) to KEY_GRAY,
    Pair(15f, 2.5f) to KEY_GRAY,
    Pair(15f, 2.6f) to KEY_GRAY,
    Pair(15f, 2.7f) to KEY_GRAY,
    Pair(15f, 2.8f) to KEY_GRAY,
    Pair(15f, 2.9f) to KEY_GRAY,
    Pair(15f, 3.0f) to KEY_GRAY,
    Pair(15f, 3.2f) to KEY_GRAY,
    Pair(15f, 3.4f) to KEY_GRAY,
    Pair(15f, 3.6f) to KEY_GRAY,
    Pair(15f, 3.8f) to KEY_GRAY,
    Pair(15f, 4.0f) to KEY_GRAY,
    Pair(15f, 4.2f) to KEY_GRAY,
    Pair(15f, 4.4f) to KEY_GRAY,
    Pair(15f, 4.6f) to KEY_GRAY,
    Pair(15f, 4.8f) to KEY_GRAY,
    Pair(15f, 5.0f) to KEY_GRAY,
    Pair(15f, 5.5f) to KEY_GRAY,
    Pair(15f, 6.0f) to KEY_GRAY,
    Pair(15f, 6.5f) to KEY_GRAY,
    Pair(15f, 7.0f) to KEY_GRAY,
    Pair(15f, 7.5f) to KEY_GRAY,
    Pair(15f, 8.0f) to KEY_GRAY,
    Pair(15f, 8.5f) to KEY_GRAY,
    Pair(15f, 9.0f) to KEY_GRAY,
    Pair(15f, 9.5f) to KEY_GRAY,
    Pair(15f, 10.0f) to KEY_GRAY,
    Pair(15f, 11.0f) to KEY_GRAY,
    Pair(15f, 12.0f) to KEY_GRAY,
    Pair(15f, 13.0f) to KEY_GRAY,
    Pair(15f, 14.0f) to KEY_GRAY,
    Pair(15f, 15.0f) to KEY_GRAY,
    Pair(15f, 16.0f) to KEY_GRAY,
    Pair(15f, 17.0f) to KEY_GRAY,
    Pair(15f, 18.0f) to KEY_GRAY,
    Pair(15f, 19.0f) to KEY_GRAY,
    Pair(15f, 20.0f) to KEY_GRAY,
    Pair(15f, 21.0f) to KEY_GRAY,
    Pair(15f, 22.0f) to KEY_GRAY,
    Pair(15f, 23.0f) to KEY_GRAY,
    Pair(15f, 24.0f) to KEY_GRAY,
    Pair(15f, 25.0f) to KEY_GRAY,
    Pair(15f, 26.0f) to KEY_GRAY,
    Pair(15f, 27.0f) to KEY_GRAY,
    Pair(15f, 28.0f) to KEY_GRAY,
    Pair(15f, 29.0f) to KEY_GRAY,
    Pair(15f, 30.0f) to KEY_GRAY,
    Pair(15f, 31.0f) to KEY_GRAY,
    Pair(15f, 32.0f) to KEY_GRAY,
    Pair(15f, 33.0f) to KEY_GRAY,
    Pair(15f, 34.0f) to KEY_GRAY,
    Pair(15f, 35.0f) to KEY_GRAY,
    Pair(15f, 36.0f) to KEY_GRAY,
    Pair(15f, 37.0f) to KEY_GRAY,
    Pair(15f, 38.0f) to KEY_GRAY,
    Pair(15f, 39.0f) to KEY_GRAY,
    Pair(15f, 40.0f) to KEY_GRAY,

    // Pulse Width = 20f
    Pair(20f, 2.0f) to KEY_GRAY,
    Pair(20f, 2.1f) to KEY_GRAY,
    Pair(20f, 2.2f) to KEY_GRAY,
    Pair(20f, 2.3f) to KEY_GRAY,
    Pair(20f, 2.4f) to KEY_GRAY,
    Pair(20f, 2.5f) to KEY_GRAY,
    Pair(20f, 2.6f) to KEY_GRAY,
    Pair(20f, 2.7f) to KEY_GRAY,
    Pair(20f, 2.8f) to KEY_GRAY,
    Pair(20f, 2.9f) to KEY_GRAY,
    Pair(20f, 3.0f) to KEY_GRAY,
    Pair(20f, 3.2f) to KEY_GRAY,
    Pair(20f, 3.4f) to KEY_GRAY,
    Pair(20f, 3.6f) to KEY_GRAY,
    Pair(20f, 3.8f) to KEY_GRAY,
    Pair(20f, 4.0f) to KEY_GRAY,
    Pair(20f, 4.2f) to KEY_GRAY,
    Pair(20f, 4.4f) to KEY_GRAY,
    Pair(20f, 4.6f) to KEY_GRAY,
    Pair(20f, 4.8f) to KEY_GRAY,
    Pair(20f, 5.0f) to KEY_GRAY,
    Pair(20f, 5.5f) to KEY_GRAY,
    Pair(20f, 6.0f) to KEY_GRAY,
    Pair(20f, 6.5f) to KEY_GRAY,
    Pair(20f, 7.0f) to KEY_GRAY,
    Pair(20f, 7.5f) to KEY_GRAY,
    Pair(20f, 8.0f) to KEY_GRAY,
    Pair(20f, 8.5f) to KEY_GRAY,
    Pair(20f, 9.0f) to KEY_GRAY,
    Pair(20f, 9.5f) to KEY_GRAY,
    Pair(20f, 10.0f) to KEY_GRAY,
    Pair(20f, 11.0f) to KEY_GRAY,
    Pair(20f, 12.0f) to KEY_GRAY,
    Pair(20f, 13.0f) to KEY_GRAY,
    Pair(20f, 14.0f) to KEY_GRAY,
    Pair(20f, 15.0f) to KEY_GRAY,
    Pair(20f, 16.0f) to KEY_GRAY,
    Pair(20f, 17.0f) to KEY_GRAY,
    Pair(20f, 18.0f) to KEY_GRAY,
    Pair(20f, 19.0f) to KEY_GRAY,
    Pair(20f, 20.0f) to KEY_GRAY,
    Pair(20f, 21.0f) to KEY_GRAY,
    Pair(20f, 22.0f) to KEY_GRAY,
    Pair(20f, 23.0f) to KEY_GRAY,
    Pair(20f, 24.0f) to KEY_GRAY,
    Pair(20f, 25.0f) to KEY_GRAY,
    Pair(20f, 26.0f) to KEY_GRAY,
    Pair(20f, 27.0f) to KEY_GRAY,
    Pair(20f, 28.0f) to KEY_GRAY,
    Pair(20f, 29.0f) to KEY_GRAY,
    Pair(20f, 30.0f) to KEY_GRAY,
    Pair(20f, 31.0f) to KEY_GRAY,
    Pair(20f, 32.0f) to KEY_GRAY,
    Pair(20f, 33.0f) to KEY_GRAY,
    Pair(20f, 34.0f) to KEY_GRAY,
    Pair(20f, 35.0f) to KEY_GRAY,
    Pair(20f, 36.0f) to KEY_GRAY,
    Pair(20f, 37.0f) to KEY_GRAY,
    Pair(20f, 38.0f) to KEY_GRAY,
    Pair(20f, 39.0f) to KEY_GRAY,
    Pair(20f, 40.0f) to KEY_GRAY,

    // Pulse Width = 25f
    Pair(25f, 2.0f) to KEY_GRAY,
    Pair(25f, 2.1f) to KEY_GRAY,
    Pair(25f, 2.2f) to KEY_GRAY,
    Pair(25f, 2.3f) to KEY_GRAY,
    Pair(25f, 2.4f) to KEY_GRAY,
    Pair(25f, 2.5f) to KEY_GRAY,
    Pair(25f, 2.6f) to KEY_GRAY,
    Pair(25f, 2.7f) to KEY_GRAY,
    Pair(25f, 2.8f) to KEY_GRAY,
    Pair(25f, 2.9f) to KEY_GRAY,
    Pair(25f, 3.0f) to KEY_GRAY,
    Pair(25f, 3.2f) to KEY_GRAY,
    Pair(25f, 3.4f) to KEY_GRAY,
    Pair(25f, 3.6f) to KEY_GRAY,
    Pair(25f, 3.8f) to KEY_GRAY,
    Pair(25f, 4.0f) to KEY_GRAY,
    Pair(25f, 4.2f) to KEY_GRAY,
    Pair(25f, 4.4f) to KEY_GRAY,
    Pair(25f, 4.6f) to KEY_GRAY,
    Pair(25f, 4.8f) to KEY_GRAY,
    Pair(25f, 5.0f) to KEY_GRAY,
    Pair(25f, 5.5f) to KEY_GRAY,
    Pair(25f, 6.0f) to KEY_GRAY,
    Pair(25f, 6.5f) to KEY_GRAY,
    Pair(25f, 7.0f) to KEY_GRAY,
    Pair(25f, 7.5f) to KEY_GRAY,
    Pair(25f, 8.0f) to KEY_GRAY,
    Pair(25f, 8.5f) to KEY_GRAY,
    Pair(25f, 9.0f) to KEY_GRAY,
    Pair(25f, 9.5f) to KEY_GRAY,
    Pair(25f, 10.0f) to KEY_GRAY,
    Pair(25f, 11.0f) to KEY_GRAY,
    Pair(25f, 12.0f) to KEY_GRAY,
    Pair(25f, 13.0f) to KEY_GRAY,
    Pair(25f, 14.0f) to KEY_GRAY,
    Pair(25f, 15.0f) to KEY_GRAY,
    Pair(25f, 16.0f) to KEY_GRAY,
    Pair(25f, 17.0f) to KEY_GRAY,
    Pair(25f, 18.0f) to KEY_GRAY,
    Pair(25f, 19.0f) to KEY_GRAY,
    Pair(25f, 20.0f) to KEY_GRAY,
    Pair(25f, 21.0f) to KEY_GRAY,
    Pair(25f, 22.0f) to KEY_GRAY,
    Pair(25f, 23.0f) to KEY_GRAY,
    Pair(25f, 24.0f) to KEY_GRAY,
    Pair(25f, 25.0f) to KEY_GRAY,
    Pair(25f, 26.0f) to KEY_GRAY,
    Pair(25f, 27.0f) to KEY_GRAY,
    Pair(25f, 28.0f) to KEY_GRAY,
    Pair(25f, 29.0f) to KEY_GRAY,
    Pair(25f, 30.0f) to KEY_GRAY,
    Pair(25f, 31.0f) to KEY_GRAY,
    Pair(25f, 32.0f) to KEY_GRAY,
    Pair(25f, 33.0f) to KEY_GRAY,
    Pair(25f, 34.0f) to KEY_GRAY,
    Pair(25f, 35.0f) to KEY_GRAY,
    Pair(25f, 36.0f) to KEY_GRAY,
    Pair(25f, 37.0f) to KEY_GRAY,
    Pair(25f, 38.0f) to KEY_GRAY,
    Pair(25f, 39.0f) to KEY_GRAY,
    Pair(25f, 40.0f) to KEY_GRAY,

    // Pulse Width = 30f
    Pair(30f, 2.0f) to KEY_GRAY,
    Pair(30f, 2.1f) to KEY_GRAY,
    Pair(30f, 2.2f) to KEY_GRAY,
    Pair(30f, 2.3f) to KEY_GRAY,
    Pair(30f, 2.4f) to KEY_GRAY,
    Pair(30f, 2.5f) to KEY_GRAY,
    Pair(30f, 2.6f) to KEY_GRAY,
    Pair(30f, 2.7f) to KEY_GRAY,
    Pair(30f, 2.8f) to KEY_GRAY,
    Pair(30f, 2.9f) to KEY_GRAY,
    Pair(30f, 3.0f) to KEY_GRAY,
    Pair(30f, 3.2f) to KEY_GRAY,
    Pair(30f, 3.4f) to KEY_GRAY,
    Pair(30f, 3.6f) to KEY_GRAY,
    Pair(30f, 3.8f) to KEY_GRAY,
    Pair(30f, 4.0f) to KEY_GRAY,
    Pair(30f, 4.2f) to KEY_GRAY,
    Pair(30f, 4.4f) to KEY_GRAY,
    Pair(30f, 4.6f) to KEY_GRAY,
    Pair(30f, 4.8f) to KEY_GRAY,
    Pair(30f, 5.0f) to KEY_GRAY,
    Pair(30f, 5.5f) to KEY_GRAY,
    Pair(30f, 6.0f) to KEY_GRAY,
    Pair(30f, 6.5f) to KEY_GRAY,
    Pair(30f, 7.0f) to KEY_GRAY,
    Pair(30f, 7.5f) to KEY_GRAY,
    Pair(30f, 8.0f) to KEY_GRAY,
    Pair(30f, 8.5f) to KEY_GRAY,
    Pair(30f, 9.0f) to KEY_GRAY,
    Pair(30f, 9.5f) to KEY_GRAY,
    Pair(30f, 10.0f) to KEY_GRAY,
    Pair(30f, 11.0f) to KEY_GRAY,
    Pair(30f, 12.0f) to KEY_GRAY,
    Pair(30f, 13.0f) to KEY_GRAY,
    Pair(30f, 14.0f) to KEY_GRAY,
    Pair(30f, 15.0f) to KEY_GRAY,
    Pair(30f, 16.0f) to KEY_GRAY,
    Pair(30f, 17.0f) to KEY_GRAY,
    Pair(30f, 18.0f) to KEY_GRAY,
    Pair(30f, 19.0f) to KEY_GRAY,
    Pair(30f, 20.0f) to KEY_GRAY,
    Pair(30f, 21.0f) to KEY_GRAY,
    Pair(30f, 22.0f) to KEY_GRAY,
    Pair(30f, 23.0f) to KEY_GRAY,
    Pair(30f, 24.0f) to KEY_GRAY,
    Pair(30f, 25.0f) to KEY_GRAY,
    Pair(30f, 26.0f) to KEY_GRAY,
    Pair(30f, 27.0f) to KEY_GRAY,
    Pair(30f, 28.0f) to KEY_GRAY,
    Pair(30f, 29.0f) to KEY_GRAY,
    Pair(30f, 30.0f) to KEY_GRAY,
    Pair(30f, 31.0f) to KEY_GRAY,
    Pair(30f, 32.0f) to KEY_GRAY,
    Pair(30f, 33.0f) to KEY_GRAY,
    Pair(30f, 34.0f) to KEY_GRAY,
    Pair(30f, 35.0f) to KEY_GRAY,
    Pair(30f, 36.0f) to KEY_GRAY,
    Pair(30f, 37.0f) to KEY_GRAY,
    Pair(30f, 38.0f) to KEY_GRAY,
    Pair(30f, 39.0f) to KEY_GRAY,
    Pair(30f, 40.0f) to KEY_GRAY,

    // Pulse Width = 35f
    Pair(35f, 2.0f) to KEY_GRAY,
    Pair(35f, 2.1f) to KEY_GRAY,
    Pair(35f, 2.2f) to KEY_GRAY,
    Pair(35f, 2.3f) to KEY_GRAY,
    Pair(35f, 2.4f) to KEY_GRAY,
    Pair(35f, 2.5f) to KEY_GRAY,
    Pair(35f, 2.6f) to KEY_GRAY,
    Pair(35f, 2.7f) to KEY_GRAY,
    Pair(35f, 2.8f) to KEY_GRAY,
    Pair(35f, 2.9f) to KEY_GRAY,
    Pair(35f, 3.0f) to KEY_GRAY,
    Pair(35f, 3.2f) to KEY_GRAY,
    Pair(35f, 3.4f) to KEY_GRAY,
    Pair(35f, 3.6f) to KEY_GRAY,
    Pair(35f, 3.8f) to KEY_GRAY,
    Pair(35f, 4.0f) to KEY_GRAY,
    Pair(35f, 4.2f) to KEY_GRAY,
    Pair(35f, 4.4f) to KEY_GRAY,
    Pair(35f, 4.6f) to KEY_GRAY,
    Pair(35f, 4.8f) to KEY_GRAY,
    Pair(35f, 5.0f) to KEY_GRAY,
    Pair(35f, 5.5f) to KEY_GRAY,
    Pair(35f, 6.0f) to KEY_GRAY,
    Pair(35f, 6.5f) to KEY_GRAY,
    Pair(35f, 7.0f) to KEY_GRAY,
    Pair(35f, 7.5f) to KEY_GRAY,
    Pair(35f, 8.0f) to KEY_GRAY,
    Pair(35f, 8.5f) to KEY_GRAY,
    Pair(35f, 9.0f) to KEY_GRAY,
    Pair(35f, 9.5f) to KEY_GRAY,
    Pair(35f, 10.0f) to KEY_GRAY,
    Pair(35f, 11.0f) to KEY_GRAY,
    Pair(35f, 12.0f) to KEY_GRAY,
    Pair(35f, 13.0f) to KEY_GRAY,
    Pair(35f, 14.0f) to KEY_GRAY,
    Pair(35f, 15.0f) to KEY_GRAY,
    Pair(35f, 16.0f) to KEY_GRAY,
    Pair(35f, 17.0f) to KEY_GRAY,
    Pair(35f, 18.0f) to KEY_GRAY,
    Pair(35f, 19.0f) to KEY_GRAY,
    Pair(35f, 20.0f) to KEY_GRAY,
    Pair(35f, 21.0f) to KEY_GRAY,
    Pair(35f, 22.0f) to KEY_GRAY,
    Pair(35f, 23.0f) to KEY_GRAY,
    Pair(35f, 24.0f) to KEY_GRAY,
    Pair(35f, 25.0f) to KEY_GRAY,
    Pair(35f, 26.0f) to KEY_GRAY,
    Pair(35f, 27.0f) to KEY_GRAY,
    Pair(35f, 28.0f) to KEY_GRAY,
    Pair(35f, 29.0f) to KEY_GRAY,
    Pair(35f, 30.0f) to KEY_GRAY,
    Pair(35f, 31.0f) to KEY_GRAY,
    Pair(35f, 32.0f) to KEY_GRAY,
    Pair(35f, 33.0f) to KEY_GRAY,
    Pair(35f, 34.0f) to KEY_GRAY,
    Pair(35f, 35.0f) to KEY_GRAY,
    Pair(35f, 36.0f) to KEY_GRAY,
    Pair(35f, 37.0f) to KEY_GRAY,
    Pair(35f, 38.0f) to KEY_GRAY,
    Pair(35f, 39.0f) to KEY_GRAY,
    Pair(35f, 40.0f) to KEY_GRAY,

    // Pulse Width = 40f
    Pair(40f, 2.0f) to KEY_GRAY,
    Pair(40f, 2.1f) to KEY_GRAY,
    Pair(40f, 2.2f) to KEY_GRAY,
    Pair(40f, 2.3f) to KEY_GRAY,
    Pair(40f, 2.4f) to KEY_GRAY,
    Pair(40f, 2.5f) to KEY_GRAY,
    Pair(40f, 2.6f) to KEY_GRAY,
    Pair(40f, 2.7f) to KEY_GRAY,
    Pair(40f, 2.8f) to KEY_GRAY,
    Pair(40f, 2.9f) to KEY_GRAY,
    Pair(40f, 3.0f) to KEY_GRAY,
    Pair(40f, 3.2f) to KEY_GRAY,
    Pair(40f, 3.4f) to KEY_GRAY,
    Pair(40f, 3.6f) to KEY_GRAY,
    Pair(40f, 3.8f) to KEY_GRAY,
    Pair(40f, 4.0f) to KEY_GRAY,
    Pair(40f, 4.2f) to KEY_GRAY,
    Pair(40f, 4.4f) to KEY_GRAY,
    Pair(40f, 4.6f) to KEY_GRAY,
    Pair(40f, 4.8f) to KEY_GRAY,
    Pair(40f, 5.0f) to KEY_GRAY,
    Pair(40f, 5.5f) to KEY_GRAY,
    Pair(40f, 6.0f) to KEY_GRAY,
    Pair(40f, 6.5f) to KEY_GRAY,
    Pair(40f, 7.0f) to KEY_GRAY,
    Pair(40f, 7.5f) to KEY_GRAY,
    Pair(40f, 8.0f) to KEY_GRAY,
    Pair(40f, 8.5f) to KEY_GRAY,
    Pair(40f, 9.0f) to KEY_GRAY,
    Pair(40f, 9.5f) to KEY_GRAY,
    Pair(40f, 10.0f) to KEY_GRAY,
    Pair(40f, 11.0f) to KEY_GRAY,
    Pair(40f, 12.0f) to KEY_GRAY,
    Pair(40f, 13.0f) to KEY_GRAY,
    Pair(40f, 14.0f) to KEY_GRAY,
    Pair(40f, 15.0f) to KEY_GRAY,
    Pair(40f, 16.0f) to KEY_GRAY,
    Pair(40f, 17.0f) to KEY_GRAY,
    Pair(40f, 18.0f) to KEY_GRAY,
    Pair(40f, 19.0f) to KEY_GRAY,
    Pair(40f, 20.0f) to KEY_GRAY,
    Pair(40f, 21.0f) to KEY_GRAY,
    Pair(40f, 22.0f) to KEY_GRAY,
    Pair(40f, 23.0f) to KEY_GRAY,
    Pair(40f, 24.0f) to KEY_GRAY,
    Pair(40f, 25.0f) to KEY_GRAY,
    Pair(40f, 26.0f) to KEY_GRAY,
    Pair(40f, 27.0f) to KEY_GRAY,
    Pair(40f, 28.0f) to KEY_GRAY,
    Pair(40f, 29.0f) to KEY_GRAY,
    Pair(40f, 30.0f) to KEY_GRAY,
    Pair(40f, 31.0f) to KEY_GRAY,
    Pair(40f, 32.0f) to KEY_GRAY,
    Pair(40f, 33.0f) to KEY_GRAY,
    Pair(40f, 34.0f) to KEY_GRAY,
    Pair(40f, 35.0f) to KEY_GRAY,
    Pair(40f, 36.0f) to KEY_GRAY,
    Pair(40f, 37.0f) to KEY_GRAY,
    Pair(40f, 38.0f) to KEY_GRAY,
    Pair(40f, 39.0f) to KEY_GRAY,
    Pair(40f, 40.0f) to KEY_GRAY,
)

